Leads API
Track and manage your sales pipeline. Create leads from companies, update statuses, add notes, and monitor your sales progress.
GET/v1/leads
List Leads
Retrieve your leads with filtering and pagination.
Query Parameters
- Name
status- Type
- string
- Description
- new, contacted, qualified, converted, lost
- Name
company_id- Type
- integer
- Description
- Filter by linked company
- Name
min_score- Type
- integer
- Description
- Minimum lead score
- Name
max_score- Type
- integer
- Description
- Maximum lead score
- Name
created_after- Type
- date
- Description
- YYYY-MM-DD
- Name
created_before- Type
- date
- Description
- YYYY-MM-DD
- Name
cursor- Type
- integer
- Description
- Pagination cursor
- Name
limit- Type
- integer
- Description
- Results per page (default 50)
Request
GET
/v1/leadsResponse
POST/v1/leads
Create Lead
Add a new lead to your pipeline.
Required attributes
- Name
company_id- Type
- integer
- Description
- The company ID to link to this lead.
Optional attributes
- Name
notes- Type
- string
- Description
- Free text notes about the lead.
Request
POST
/v1/leadsResponse
PATCH/v1/leads/:id
Update Lead
Update lead status and notes.
Optional attributes
- Name
status- Type
- string
- Description
- Lead status: new, contacted, qualified, converted, lost.
- Name
notes- Type
- string
- Description
- Updated notes about the lead.
Request
PATCH
/v1/leads/100Response
Lead Statuses
Track your sales pipeline with standardized statuses:
| Status | Description |
|---|---|
new | Newly created lead |
contacted | Initial outreach made |
qualified | Qualified as potential customer |
converted | Won deal |
lost | Closed without conversion |
Schema
Lead Object
| Field | Type | Description |
|---|---|---|
id | integer | Unique lead ID |
user_id | integer | Owner user ID |
company_id | integer | Linked company ID |
status | string | Current pipeline status |
notes | string | Free text notes |
created_at | datetime | Creation timestamp |
updated_at | datetime | Last update timestamp |
Leads are user-specific. Each user can only see their own leads.